@use '../../../global/utilities' as *;

:host {

  .digi-docs-component-api {
    margin-bottom: var(--digi--margin--largest);

    &__block {
      display: block;
      margin-bottom: var(--digi--padding--largest-3);
    }

    &__deprecated {
      margin-top: var(--digi--margin--smaller);

      &-badge {
        font-size: var(--digi--typography--tag--font-size--desktop);
        color: var(--digi--color--text--inverted);
        background-color: var(--digi--color--background--danger-1);
        border-radius: var(--digi--border-radius--secondary);
        padding: var(--digi--gutter--smaller) var(--digi--gutter--medium);
        display: inline-block;
      }
    }
  }

  table caption {
    @include digi--a11y--sr-only;
  }
}